function [edges_3d] = Canny2Dedge(IMSS,sigma)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function [edges_3d] = Canny2Dedge(IMSS,sigma)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PURPOSE: This is a 2D edge detection algorithm using
% the Canny algorithm.
% Input  IMSS is a 3D array containing the data: 
%             intensity magnitudes at each voxel.
%       sigma is the standard deviation used
%             for Gaussian smoothing of images
% Output edges_3d contains the estimated squared-magnitude of the
%             gradient of intensity at each voxel.
% David A. Schug, Glenn R. Easley, Dianne P. O'Leary Fall 2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Determine dimensions of image sequence

[n_isr,n_isc,n_ist] = size(IMSS);

% Initialize squared magnitude of the gradient

edges_3d = zeros(n_isr,n_isc,n_ist);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Begin the edge detection algorithm.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for id_im = 1: n_ist
%  edges_3d(:,:,id_im) = edge(IMSS(:,:,id_im),'canny',[],sigma); 
   edges_3d(:,:,id_im) = edge(IMSS(:,:,id_im),'canny');
end
